Package ru.bgcrm.plugin.bgbilling.proto.struts.action

# Class CashCheckAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
ru.bgcrm.plugin.bgbilling.struts.action.BaseAction
ru.bgcrm.plugin.bgbilling.action.ContractAction
ru.bgcrm.plugin.bgbilling.proto.struts.action.CashCheckAction

public class CashCheckAction extends ContractAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CashCheckAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `printCheck(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `registratorList(DynActionForm form, ConnectionSet conSet)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.action.ContractAction

  `additionalActionList, bgbillingOpenContract, bgbillingUpdateContractTitleAndComment, contractCards, contractObjectList, contractObjectModuleInfo, contractObjectModuleSummaryTable, contractObjectParameterList, contractSubcontractList, dateToUpdate, deleteContractObject, deleteLimitTask, deleteMemo, deleteScript, executeAdditionalAction, faceLog, getContractCard, getContractObject, getMemo, getObjectParameter, getParamList, getScript, groupList, limit, memoList, modeLog, moduleList, parameterGet, parameterGroupUpdate, parameterList, parameterUpdate, scriptList, scriptLog, searchContract, status, updateContractObject, updateFace, updateGroups, updateLimit, updateMemo, updateMode, updateModules, updateObjectParameter, updateScript, updateStatus`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CashCheckAction

    public CashCheckAction()

- ## Method Details

  - ### registratorList

    public org.apache.struts.action.ActionForward registratorList(DynActionForm form, ConnectionSet conSet)

  - ### printCheck

    public org.apache.struts.action.ActionForward printCheck(DynActionForm form, ConnectionSet conSet) throws BGMessageException
    Throws:
      `BGMessageException`